MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029729Open CASCADE[OCCT] OCCT:Visualizationpublic2018-04-26 16:062019-02-14 12:05
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityfeature 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.4.0*Fixed in Version 
Summary0029729: Visualization, Graphic3d_ClipPlane - add support of clipping plane chains
DescriptionIt is desired to support Box and 3/4 section clipping planes configuration, which currently cannot be defined using existing API.
TagsNo tags attached.
Test case numberv3d glsl clipping1
Attached Filespng file icon occt_clip_chain3.png (38,387 bytes) 2018-05-03 20:34
png file icon occt_clip_chain6.png (39,570 bytes) 2018-05-03 20:34

- Relationships
related to 0029768closedabv Open CASCADE Visualization, TKOpenGl - structure is entirely clipped by suppressed clipping 
parent of 0029975verifiedbugmaster Open CASCADE Visualization - Graphic3d_ClipPlane::ProbeBox() returns Out for fully In box 
parent of 0030081verifiedbugmaster Open CASCADE Visualization - selection does not work when two clipping planes cut object from opposite sides 
child of 0027748newkgv Open CASCADE Visualization - clipping and capping improvements 

-  Notes
(0075735)
git (administrator)
2018-04-27 20:53

Branch CR29729 has been created by kgv.

SHA-1: 1ae6523ea253a5204fc50eeb34de6241b485863e


Detailed log of new commits:

Author: kgv
Date: Fri Apr 27 20:53:50 2018 +0300

    0029729: Visualization, Graphic3d_ClipPlane - add support of clipping plane chains
    
    Graphic3d_ClipPlane now can define a Chain of Planes (union operation).
    OpenGl_ShaderManager - added new GLSL sub-programs for clipping plane chains.
(0075743)
git (administrator)
2018-04-28 14:57

Branch CR29729 has been updated forcibly by kgv.

SHA-1: 65b5809634af8c5217226738c5dbe8a9ff5a229c
(0075747)
git (administrator)
2018-04-28 17:04

Branch CR29729_1 has been created by kgv.

SHA-1: ffb9ef697eaeefba08aa1ae86f81376ebe2daf17


Detailed log of new commits:

Author: kgv
Date: Sat Apr 28 17:04:05 2018 +0300

    OpenGl_Clipping::SetEnabled() - handle sub-planes separately
(0075749)
git (administrator)
2018-04-28 18:00

Branch CR29729 has been updated by kgv.

SHA-1: 64972d25311b2e3af2dac8cb2b38c6916d2c71d0


Detailed log of new commits:

Author: kgv
Date: Sat Apr 28 17:59:56 2018 +0300

    OpenGl_CappingAlgo - draw sub-planes

(0075791)
git (administrator)
2018-05-03 18:22

Branch CR29729 has been updated by kgv.

SHA-1: 669107898fc917daf3f3bdb11b12954bc27eecb6


Detailed log of new commits:

Author: kgv
Date: Thu May 3 18:22:34 2018 +0300

    Graphic3d_SequenceOfHClipPlane now aggregates NCollection_Sequence instead of inheritance.
    
    # fix capping

(0075792)
git (administrator)
2018-05-03 20:18

Branch CR29729 has been updated by kgv.

SHA-1: fb2222c5b93305bf8348a2954992bdf0d89779b4


Detailed log of new commits:

Author: kgv
Date: Thu May 3 20:18:32 2018 +0300

    # code clean up

(0075793)
git (administrator)
2018-05-03 20:36

Branch CR29729 has been updated by kgv.

SHA-1: ff0a40cb949303c8234ae4f7d9914ef2945f5a3c


Detailed log of new commits:

Author: kgv
Date: Thu May 3 20:36:28 2018 +0300

    # add test case

(0075794)
git (administrator)
2018-05-03 20:44

Branch CR29729 has been updated by kgv.

SHA-1: edb3debd23236d3e080b4253252fe88c74b4b3d8


Detailed log of new commits:

Author: kgv
Date: Thu May 3 20:43:55 2018 +0300

    # fix passing undefined values on out limits

(0075795)
git (administrator)
2018-05-03 20:49

Branch CR29729_2 has been created by kgv.

SHA-1: e69e87974400b51198eb1a58f3c078e10c802d1c


Detailed log of new commits:

Author: kgv
Date: Fri Apr 27 20:53:50 2018 +0300

    0029729: Visualization, Graphic3d_ClipPlane - add support of clipping plane chains
    
    Graphic3d_ClipPlane now can define a Chain of Planes (logical AND).
    OpenGl_ShaderManager - added new GLSL sub-programs for clipping plane chains.
    Bnd_Range::TrimFrom(), ::TrimTo() - added auxiliary methods for trimming the range.
    SelectMgr_ViewClipRange now handles non-continuous clipping range.
    Graphic3d_SequenceOfHClipPlane now aggregates NCollection_Sequence instead of inheritance.
(0075797)
git (administrator)
2018-05-03 22:39

Branch CR29729_2 has been updated forcibly by kgv.

SHA-1: f9cc250529bd207aa5ac8a6bcd2e3525d37b3d78
(0075798)
git (administrator)
2018-05-04 00:19

Branch CR29729_2 has been updated forcibly by kgv.

SHA-1: 9c13208ea676c0c57864204437b5abfeba16d6fb
(0075799)
kgv (developer)
2018-05-04 00:27
edited on: 2018-05-04 16:10

Patch is ready for review.

http://jenkins-test-11.nnov.opencascade.com/view/CR29729_2-CR29729_2-KGV/ [^]

(0075803)
git (administrator)
2018-05-04 09:28

Branch CR29729_2 has been updated forcibly by kgv.

SHA-1: 1a085744cd0bfa4a62856df6b8ecb161b30fed5b
(0075931)
san (developer)
2018-05-10 19:31

Branch CR29729_2 in OCCT and OCC Products repositories reviewed without remarks.
(0076149)
bugmaster (administrator)
2018-05-23 11:55

Combination -
OCCT branch : CR29729_2 SHA - 1a085744cd0bfa4a62856df6b8ecb161b30fed5b
Products branch : CR29729_2 SHA - 06be21f8171645013a6096615e5697867dd47827
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian70-64:
OCCT
Total CPU difference: 18252.960000000003 / 18243.73999999987 [+0.05%]
Products
Total CPU difference: 7525.340000000048 / 7505.500000000054 [+0.26%]
Windows-64-VC10:
OCCT
Total CPU difference: 18062.513384598577 / 18049.78370299853 [+0.07%]
Products
Total CPU difference: 7696.465335999918 / 7697.713343999945 [-0.02%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0076312)
git (administrator)
2018-05-25 10:15

Branch CR29729_3 has been created by kgv.

SHA-1: d8274ed5b992ff63e910a76fa793b80b178a4e36


Detailed log of new commits:

Author: kgv
Date: Fri May 25 10:13:38 2018 +0300

    0029729: Visualization, Graphic3d_ClipPlane - add support of clipping plane chains
    
    Graphic3d_ClipPlane now can define a Chain of Planes (logical AND).
    OpenGl_ShaderManager - added new GLSL sub-programs for clipping plane chains.
    Bnd_Range::TrimFrom(), ::TrimTo() - added auxiliary methods for trimming the range.
    SelectMgr_ViewClipRange now handles non-continuous clipping range.
    Graphic3d_SequenceOfHClipPlane now aggregates NCollection_Sequence instead of inheritance.
    OpenGl_CappingPlaneResource - triangulation has been adjusted to make front face following CCW order.
(0076936)
git (administrator)
2018-06-23 13:56

Branch CR29729 has been deleted by kgv.

SHA-1: edb3debd23236d3e080b4253252fe88c74b4b3d8
(0076937)
git (administrator)
2018-06-23 13:56

Branch CR29729_1 has been deleted by kgv.

SHA-1: ffb9ef697eaeefba08aa1ae86f81376ebe2daf17
(0076938)
git (administrator)
2018-06-23 13:56

Branch CR29729_2 has been deleted by kgv.

SHA-1: 1a085744cd0bfa4a62856df6b8ecb161b30fed5b
(0076939)
git (administrator)
2018-06-23 13:56

Branch CR29729_3 has been deleted by kgv.

SHA-1: d8274ed5b992ff63e910a76fa793b80b178a4e36

- Related Changesets
occt: master 25c35042
Timestamp: 2018-05-25 07:13:38
Author: kgv
Committer: bugmaster
Details ] Diff ]
0029729: Visualization, Graphic3d_ClipPlane - add support of clipping plane chains

Graphic3d_ClipPlane now can define a Chain of Planes (logical AND).
OpenGl_ShaderManager - added new GLSL sub-programs for clipping plane chains.
Bnd_Range::TrimFrom(), ::TrimTo() - added auxiliary methods for trimming the range.
SelectMgr_ViewClipRange now handles non-continuous clipping range.
Graphic3d_SequenceOfHClipPlane now aggregates NCollection_Sequence instead of inheritance.
OpenGl_CappingPlaneResource - triangulation has been adjusted to make front face following CCW order.
mod - src/Bnd/Bnd_Range.hxx Diff ] File ]
mod - src/Graphic3d/FILES Diff ] File ]
mod - src/Graphic3d/Graphic3d_ClipPlane.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_ClipPlane.hxx Diff ] File ]
add - src/Graphic3d/Graphic3d_SequenceOfHClipPlane.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_SequenceOfHClipPlane.hxx Diff ] File ]
mod - src/OpenGl/FILES Diff ] File ]
mod - src/OpenGl/OpenGl_CappingAlgo.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_CappingPlaneResource.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Clipping.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Clipping.hxx Diff ] File ]
add - src/OpenGl/OpenGl_ClippingIterator.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_Context.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Group.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_SetOfShaderPrograms.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_ShaderManager.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_ShaderManager.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_ShaderProgram.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_ShaderProgram.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_Structure.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_View_Redraw.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Workspace.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Workspace.hxx Diff ] File ]
mod - src/Select3D/Select3D_SensitivePrimitiveArray.hxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_RectangularFrustum.cxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_RectangularFrustum.hxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_ViewClipRange.hxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_ViewerSelector.cxx Diff ] File ]
mod - src/Shaders/Declarations.glsl Diff ] File ]
mod - src/Shaders/Shaders_Declarations_glsl.pxx Diff ] File ]
mod - src/ViewerTest/ViewerTest.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_ViewerCommands.cxx Diff ] File ]
mod - tests/bugs/vis/bug25052 Diff ] File ]
add - tests/v3d/glsl/clipping1 Diff ] File ]

- Issue History
Date Modified Username Field Change
2018-04-26 16:06 kgv New Issue
2018-04-26 16:06 kgv Assigned To => kgv
2018-04-26 16:06 kgv Relationship added child of 0027748
2018-04-27 20:52 kgv Summary Visualization - add support of Box clipping => Visualization, Graphic3d_ClipPlane - add support of clipping plane chains
2018-04-27 20:53 git Note Added: 0075735
2018-04-28 14:57 git Note Added: 0075743
2018-04-28 17:04 git Note Added: 0075747
2018-04-28 18:00 git Note Added: 0075749
2018-05-03 18:22 git Note Added: 0075791
2018-05-03 20:18 git Note Added: 0075792
2018-05-03 20:34 kgv File Added: occt_clip_chain3.png
2018-05-03 20:34 kgv File Added: occt_clip_chain6.png
2018-05-03 20:36 git Note Added: 0075793
2018-05-03 20:44 git Note Added: 0075794
2018-05-03 20:49 git Note Added: 0075795
2018-05-03 22:39 git Note Added: 0075797
2018-05-04 00:19 git Note Added: 0075798
2018-05-04 00:27 kgv Note Added: 0075799
2018-05-04 00:27 kgv Assigned To kgv => san
2018-05-04 00:27 kgv Status new => resolved
2018-05-04 09:28 git Note Added: 0075803
2018-05-04 16:10 kgv Note Edited: 0075799 View Revisions
2018-05-10 19:31 san Note Added: 0075931
2018-05-10 19:31 san Assigned To san => bugmaster
2018-05-10 19:31 san Status resolved => reviewed
2018-05-14 19:24 kgv Relationship added related to 0029768
2018-05-15 12:05 kgv Relationship added related to 0029772
2018-05-23 11:55 bugmaster Note Added: 0076149
2018-05-23 11:55 bugmaster Status reviewed => tested
2018-05-23 11:57 bugmaster Test case number => v3d glsl clipping1
2018-05-25 10:15 git Note Added: 0076312
2018-06-14 18:20 bugmaster Changeset attached => occt master 25c35042
2018-06-14 18:20 bugmaster Status tested => verified
2018-06-14 18:20 bugmaster Resolution open => fixed
2018-06-23 13:56 git Note Added: 0076936
2018-06-23 13:56 git Note Added: 0076937
2018-06-23 13:56 git Note Added: 0076938
2018-06-23 13:56 git Note Added: 0076939
2018-07-20 10:29 kgv Relationship added parent of 0029975
2018-08-23 16:44 kgv Relationship added parent of 0030081
2018-09-21 12:31 kgv Relationship added related to 0030152
2018-10-01 07:29 kgv Relationship added related to 0028383
2019-02-14 12:05 bugmaster Project Internal => Open CASCADE


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker